#
# Please do not update/rebuild/touch this package before asking first to mikala and/or neoclust
# This package is part of the KDE Stack.
#
%define _python_bytecompile_errors_terminate_build 0

%define subrel 1
%define rel 1

Name: kate
Summary: Advanced text editor
Version: 4.12.5
Group: Editors 
Release: %mkrel %{rel}
Epoch: 2
License: GPLv2 and LGPLv2
Source: ftp://ftp.kde.org/pub/kde/stable/%version/src/%{name}-%{version}.tar.xz

# Patches from branch 100->200:

# Patches from trunk 200->300

# Mageia Patches 300->400


BuildRequires: kdelibs4-devel >= 2:%version
BuildRequires: pkgconfig(hunspell)
BuildRequires: pkgconfig(libxslt)
BuildRequires: pkgconfig(QJson)
BuildRequires: pkgconfig(libkactivities)
BuildRequires: python-kde4-devel
BuildRequires: subversion-devel
BuildRequires: binutils-devel
BuildRequires: boost-devel
BuildRequires: libltdl-devel
BuildRequires: antlr-tool
BuildRequires: antlr-C++

Requires: konsole >= 1:%version
Requires: katepart = %epoch:%version-%release
Requires: ktexteditor = %epoch:%version-%release
Suggests: kate-handbook
Suggests: kate-plugin-pate
Conflicts: kdelibs4-core < 2:4.6.90

%description
A multi-document, multi-view text editor for KDE.

%files
%_kde_bindir/kate
%_kde_libdir/libkdeinit4_kate.so
%_kde_libdir/kde4/katebacktracebrowserplugin.so
%_kde_libdir/kde4/katefilebrowserplugin.so
%_kde_libdir/kde4/katefiletemplates.so
%_kde_libdir/kde4/kategdbplugin.so
%_kde_libdir/kde4/katekonsoleplugin.so
%_kde_libdir/kde4/katemailfilesplugin.so
%_kde_libdir/kde4/kateopenheaderplugin.so
%_kde_libdir/kde4/kateprojectplugin.so
%_kde_libdir/kde4/katesnippetsplugin.so
%_kde_libdir/kde4/katesearchplugin.so
%_kde_libdir/kde4/katesymbolviewerplugin.so
%_kde_libdir/kde4/katetabbarextensionplugin.so
%_kde_libdir/kde4/katetextfilterplugin.so
%_kde_libdir/kde4/plasma_applet_katesession.so
%_kde_libdir/kde4/katebuildplugin.so
%_kde_libdir/kde4/katectagsplugin.so
%_kde_libdir/kde4/kate_kttsd.so
%_kde_libdir/kde4/katexmlcheckplugin.so
%_kde_libdir/kde4/katetabifyplugin.so
%_kde_libdir/kde4/katexmltoolsplugin.so
%_kde_libdir/kde4/katefiletreeplugin.so
%_kde_libdir/kde4/katesqlplugin.so
%_kde_libdir/kde4/katecloseexceptplugin.so
%_kde_applicationsdir/kate.desktop
%dir %_kde_appsdir/kate
%_kde_appsdir/kate/kateui.rc
%_kde_appsdir/kate/icons
%dir %_kde_appsdir/kate/plugins
%_kde_appsdir/kate/plugins/filetree 
%_kde_appsdir/kate/plugins/kate_kttsd
%_kde_appsdir/kate/plugins/katebuild
%_kde_appsdir/kate/plugins/katecloseexceptplugin
%_kde_appsdir/kate/plugins/katectags
%_kde_appsdir/kate/plugins/katefiletemplates
%_kde_appsdir/kate/plugins/kategdb
%_kde_appsdir/kate/plugins/katekonsole
%_kde_appsdir/kate/plugins/katemailfiles
%_kde_appsdir/kate/plugins/kateopenheader
%_kde_appsdir/kate/plugins/katesearch
%_kde_appsdir/kate/plugins/katesql
%_kde_appsdir/kate/plugins/katesymbolviewer
%_kde_appsdir/kate/plugins/katetabbarextension
%_kde_appsdir/kate/plugins/katetabify
%_kde_appsdir/kate/plugins/katetextfilter
%_kde_appsdir/kate/plugins/katexmlcheck
%_kde_appsdir/kate/plugins/katexmltools
%_kde_appsdir/kate/plugins/project
%_kde_appsdir/kate/tips
%_kde_appsdir/katexmltools
%_kde_appsdir/kconf_update/kate-2.4.upd
%_kde_configdir/katerc
%_kde_iconsdir/hicolor/*/apps/kate.png
%_kde_iconsdir/hicolor/scalable/apps/kate.svgz
%_kde_iconsdir/hicolor/22x22/actions/debug-kategdb.png
%_kde_services/katebacktracebrowserplugin.desktop
%_kde_services/katefilebrowserplugin.desktop
%_kde_services/katefiletemplates.desktop
%_kde_services/kategdbplugin.desktop
%_kde_services/katekonsoleplugin.desktop
%_kde_services/katemailfilesplugin.desktop
%_kde_services/kateopenheader.desktop
%_kde_services/katesnippetsplugin.desktop
%_kde_services/kateprojectplugin.desktop
%_kde_services/katecloseexceptplugin.desktop
%_kde_services/katesearch.desktop
%_kde_services/katesymbolviewer.desktop
%_kde_services/katetabbarextension.desktop
%_kde_services/katetextfilter.desktop
%_kde_services/plasma-applet-katesession.desktop
%_kde_services/katebuildplugin.desktop
%_kde_services/katectagsplugin.desktop
%_kde_services/kate_kttsd.desktop
%_kde_services/katexmlcheck.desktop
%_kde_services/katetabifyplugin.desktop
%_kde_services/katexmltools.desktop
%_kde_services/katesql.desktop
%_kde_services/katefiletreeplugin.desktop
%_kde_servicetypes/kateplugin.desktop

#------------------------------------------------------------------------------
%package plugin-pate
Summary: Pate plugin providing support for python plugin
Requires: python-kde4
Conflicts: kate < 2:4.11.2
Conflicts: kate-python-kate < 2:4.10.2-3
Obsoletes: kate-python-kate < 2:4.10.2-3

%description plugin-pate
A Kate plugin which provides support for Python plugins.

%files plugin-pate
%_kde_libdir/kde4/katepateplugin.so
%_kde_appsdir/kate/pate
%_kde_appsdir/kate/plugins/pate
%_kde_services/pate.desktop
%python_sitearch/PyKate4

#------------------------------------------------------------------------------

%package handbook
Summary: Kate handbook
BuildArch: noarch
Conflicts: kate < 1:4.7.2
Requires:  kate >= %{epoch}:%{version}-%{release}
Group: Documentation 
%description handbook
This package provides kate handbook

%files handbook
%doc %_kde_docdir/HTML/en/kate
%_kde_mandir/man1/kate.1.*

#------------------------------------------------------------------------------

%package -n katepart
Summary: Text editor component
Group: Graphical desktop/KDE
Conflicts: kdelibs4-core < 2:4.6.90
Conflicts: kate < 2:4.12.5-1.1

%description -n katepart
Fast and feature-rich text editor component.

%files -n katepart
%_kde_libdir/kde4/katepart.so
%_kde_appsdir/katepart
#%_kde_configdir/katepartpluginsrc
%_kde_configdir/katemoderc
%_kde_configdir/kateschemarc
%_kde_configdir/katesyntaxhighlightingrc
%_kde_configdir/ktexteditor_codesnippets_core.knsrc
%_kde_services/katepart.desktop

#------------------------------------------------------------------------------

%package -n kwrite
Summary: Simple text editor for KDE 4
Group: Editors 
Requires: kdebase4-runtime
Requires: katepart = %{epoch}:%{version}-%{release}
Suggests: kate-extensions
Suggests: kwrite-handbook
%description -n kwrite
KWrite is a text editor for KDE, based on the Kate's editor component.
Features :
    Syntax highlighting according to the file type
    Word completion
    Auto-identation
    Plugin support
    Vi input mode

%files -n kwrite
%_kde_bindir/kwrite
%_kde_libdir/libkdeinit4_kwrite.so
%_kde_applicationsdir/kwrite.desktop
%_kde_appsdir/kwrite

#------------------------------------------------------------------------------

%package -n kwrite-handbook
Summary: Kwrite handbook
Conflicts: kwrite < 1:4.7.1
Requires:  kwrite >= %{epoch}:%{version}-%{release}
BuildArch: noarch
Group: Documentation 
%description -n kwrite-handbook
This package provides Kwrite handbook

%files -n kwrite-handbook
%doc %_kde_docdir/HTML/en/kwrite

#------------------------------------------------------------------------------

%package -n ktexteditor
Summary: Ktexteditor interfaces
Group: Graphical desktop/KDE
Obsoletes: kate-extensions < 2:4.7.4-1
Conflicts: kate < 2:4.8.97-2

%description -n ktexteditor
The KTextEditor interfaces - also called KTE interfaces - are a set of
well-defined interfaces which an application or library can implement to provide
advanced plain text editing services.

%files -n ktexteditor
%_kde_libdir/kde4/ktexteditor_autobrace.so
%_kde_libdir/kde4/ktexteditor_exporter.so
%_kde_libdir/kde4/ktexteditor_hlselection.so
%_kde_libdir/kde4/ktexteditor_iconinserter.so
%_kde_libdir/kde4/ktexteditor_insertfile.so
%_kde_appsdir/ktexteditor_exporter/
%_kde_appsdir/ktexteditor_iconinserter/
%_kde_appsdir/ktexteditor_insertfile/
%_kde_services/ktexteditor_autobrace.desktop
%_kde_services/ktexteditor_autobrace_config.desktop
%_kde_services/ktexteditor_exporter.desktop
%_kde_services/ktexteditor_hlselection.desktop
%_kde_services/ktexteditor_iconinserter.desktop
%_kde_services/ktexteditor_insertfile.desktop
%_kde_iconsdir/hicolor/scalable/apps/ktexteditorautobrace.svgz

#------------------------------------------------------------------------------

%define  kateinterfaces_major 4
%define  libkateinterfaces %mklibname kateinterfaces %kateinterfaces_major

%package -n %libkateinterfaces
Summary:    Runtime library for Kate
Group:      System/Libraries

%description -n %libkateinterfaces
Runtime library for Kate.

%files -n %libkateinterfaces
%_kde_libdir/libkateinterfaces.so.%{kateinterfaces_major}*

#------------------------------------------------------------------------------

%define libkatepartinterfaces_major 4
%define libkatepartinterfaces %mklibname katepartinterfaces %{libkatepartinterfaces_major}

%package -n %libkatepartinterfaces
Summary: KDE 4 library
Group: System/Libraries

%description -n %libkatepartinterfaces
Runtime library for Kate.

%files -n %libkatepartinterfaces
%_kde_libdir/libkatepartinterfaces.so.%{libkatepartinterfaces_major}*

#------------------------------------------------------------------------------

%define ktexteditor_codesnipets_major 0
%define libktexteditor_codesnipets %mklibname ktexteditor-codesnippets %{ktexteditor_codesnipets_major}

%package -n %libktexteditor_codesnipets
Summary: Ktexteditory Library
Group:  System/Libraries
Obsoletes: %{mklibname ktexteditor_codesnippets_core 0} < 1:4.6.90

%description -n %libktexteditor_codesnipets
Ktexteditory codesnipets library.

%files -n %libktexteditor_codesnipets
#%_kde_libdir/libktexteditor_codesnippets_core.so.%{ktexteditor_codesnipets_major}*

#------------------------------------------------------------------------------

%package    devel
Summary:    Header files for kate
Group:      Development/KDE and Qt
Requires: pkgconfig(hunspell)
Requires: pkgconfig(libxslt)
Requires: subversion-devel
Requires: binutils-devel
Requires: boost-devel
Requires: libltdl-devel
Requires: antlr-tool
Requires: antlr-C++
Requires: %libkateinterfaces = %epoch:%version
Requires: %libktexteditor_codesnipets = %epoch:%version
Requires: %libkatepartinterfaces = %epoch:%version

Conflicts: kdesdk4-devel < 1:4.6.90
Conflicts: kdelibs4-devel < 2:4.6.90

%description  devel
This package includes the header files you will need to compile applications
against kate.

%files devel
%_kde_includedir/*
%_kde_libdir/libkateinterfaces.so
%_kde_libdir/libkatepartinterfaces.so
#%_kde_libdir/libktexteditor_codesnippets_core.so

#------------------------------------------------------------------------------

%prep
%setup -q 
%apply_patches

%build
export LD=/usr/bin/ld.gold 
%cmake_kde4 -DKDE4_ENABLE_FINAL=OFF
%make

%install
rm -fr %buildroot
%makeinstall_std -C build

# Remove static libs
rm -rf %{buildroot}/%{_kde_libdir}/libacomment.a


%changelog
* Fri Oct 31 2014 lmenut <lmenut> 2:4.12.5-1.1.mga4
+ Revision: 795077
- fix katepart config files packaging (mga#14416)
- Update to KDE SC 4.12.5
  remove patches backported from KDE/4.12 (mga#13275)

  + anaselli <anaselli>
    - fixed xml auto alignment (BUG #13275)

  + neoclust <neoclust>
    - New version 4.11.5

* Wed Dec 04 2013 lmenut <lmenut> 2:4.11.4-1.mga4
+ Revision: 554951
- Update tarball to KDE SC 4.11.4

* Thu Nov 14 2013 lmenut <lmenut> 2:4.11.3-1.mga4
+ Revision: 551209
- Update tarball to KDE SC 4.11.3

* Tue Nov 12 2013 colin <colin> 2:4.11.2-3.mga4
+ Revision: 550799
- Apply upstream patches to fix file grouping in Document side-pane (bko#327501)

* Mon Oct 21 2013 umeabot <umeabot> 2:4.11.2-2.mga4
+ Revision: 539862
- Mageia 4 Mass Rebuild

* Sat Oct 05 2013 mikala <mikala> 2:4.11.2-1.mga4
+ Revision: 491754
- Correct packaging issue (all pate files are now in the pate plugin)
- Update tarball to KDE SC 4.11.2

* Sun Sep 29 2013 lmenut <lmenut> 2:4.11.1-2.mga4
+ Revision: 488901
- rebuild with fixed rpm (missing suggests tags)

* Mon Sep 09 2013 mikala <mikala> 2:4.11.1-1.mga4
+ Revision: 476767
- Update tarball to KDE SC 4.11.1

* Sat Aug 10 2013 mikala <mikala> 2:4.11.0-1.mga4
+ Revision: 465134
- Update tarball to KDE SC 4.11.0

* Sat Jul 27 2013 lmenut <lmenut> 2:4.10.97-1.mga4
+ Revision: 458865
- Update tarball to KDE SC 4.10.97 aka KDE SC 4.11 RC2

* Wed Jul 17 2013 lmenut <lmenut> 2:4.10.95-1.mga4
+ Revision: 455255
- Update tarball to KDE SC 4.10.95 aka KDE SC 4.11 RC1

* Fri Jun 28 2013 mikala <mikala> 2:4.10.90-1.mga4
+ Revision: 447880
- Update tarball to KDE SC 4.10.90 aka KDE SC 4.11 Beta 2
- Update tarball to KDE SC 4.10.80 aka KDE SC 4.11 Beta 1
- Fix files list

* Sun Jun 02 2013 mikala <mikala> 2:4.10.4-1.mga4
+ Revision: 435225
- Update tarball to KDE SC 4.10.4

* Sun May 26 2013 mikala <mikala> 2:4.10.3-1.mga4
+ Revision: 428343
- Update tarball to KDE SC 4.10.3

* Thu May 09 2013 mikala <mikala> 2:4.10.2-3.mga3
+ Revision: 412787
- Fix subpackage name (part of fix of mga #9834)

* Thu Apr 11 2013 neoclust <neoclust> 2:4.10.2-2.mga3
+ Revision: 409772
- Rebuild against new boost

* Tue Apr 02 2013 mikala <mikala> 2:4.10.2-1.mga3
+ Revision: 407167
- Update tarball to KDE SC 4.10.2

* Sat Mar 09 2013 lmenut <lmenut> 2:4.10.1-1.mga3
+ Revision: 401848
- Update tarball to KDE SC 4.10.1

* Mon Feb 04 2013 mikala <mikala> 2:4.10.0-1.mga3
+ Revision: 394344
- Update tarball to KDE SC 4.10.0
- Update tarball to KDE SC 4.9.98 aka KDE SC 4.10 RC3

* Sat Jan 12 2013 umeabot <umeabot> 2:4.9.97-2.mga3
+ Revision: 355823
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sat Jan 05 2013 mikala <mikala> 2:4.9.97-1.mga3
+ Revision: 339365
- Update tarball to KDE SC 4.9.97 aka KDE SC 4.10 RC2
- Drop patch100 (merged)

* Tue Jan 01 2013 mikala <mikala> 2:4.9.95-1.mga3
+ Revision: 337239
- Add patch100 from upstream to fix build on i586
- Update tarball to KDE SC 4.9.95 aka KDE SC 4.10 RC1
- Fix files list

* Tue Dec 04 2012 mikala <mikala> 2:4.9.90-1.mga3
+ Revision: 326691
- Update tarball to KDE SC 4.9.90 aka KDE SC 4.10 Beta2

* Wed Nov 21 2012 mikala <mikala> 2:4.9.80-1.mga3
+ Revision: 320235
- Update tarball to KDE SC 4.9.80 aka KDE SC 4.10 Beta1
- Add missing BuildRequires

* Wed Nov 07 2012 mikala <mikala> 2:4.9.3-1.mga3
+ Revision: 316137
- Update tarball to KDE SC 4.9.3

* Tue Oct 02 2012 mikala <mikala> 2:4.9.2-1.mga3
+ Revision: 301916
- Update tarball to KDE SC 4.9.2
- Fix group

* Sat Sep 08 2012 mikala <mikala> 2:4.9.1-1.mga3
+ Revision: 289691
- Update tarball to KDE SC 4.9.1

* Wed Aug 01 2012 mikala <mikala> 2:4.9.0-1.mga3
+ Revision: 277046
- Silent: Fix Source URL
- Update tarball to KDE 4.9.0

* Sun Jul 22 2012 lmenut <lmenut> 2:4.8.97-2.mga3
+ Revision: 273472
- Fix duplicates files in kate & ktexteditor

* Thu Jul 12 2012 fwang <fwang> 2:4.8.97-1.mga3
+ Revision: 269658
- new version 4.8.97

* Sat Jun 30 2012 fwang <fwang> 2:4.8.95-1.mga3
+ Revision: 265509
- update file list
- new version 4.8.95

* Fri Jun 08 2012 fwang <fwang> 2:4.8.4-1.mga3
+ Revision: 257206
- new version 4.8.4

* Fri Apr 13 2012 mikala <mikala> 2:4.8.2-2.mga2
+ Revision: 230716
- Add missing requires on handbooks subpackage

* Wed Apr 04 2012 fwang <fwang> 2:4.8.2-1.mga2
+ Revision: 228434
- new version 4.8.2

* Thu Mar 08 2012 mikala <mikala> 2:4.8.1-1.mga2
+ Revision: 221468
- New upstream tarball

* Thu Jan 19 2012 mikala <mikala> 2:4.8.0-1.mga2
+ Revision: 198158
- Updating tarball to KDE 4.8.0

* Thu Jan 05 2012 mikala <mikala> 2:4.7.97-0.mga2
+ Revision: 190938
- Update tarball to KDE 4.7.97

* Thu Dec 22 2011 mikala <mikala> 2:4.7.95-1.mga2
+ Revision: 185805
- Update tarball to KDE 4.7.95
- fix group

* Thu Dec 15 2011 mikala <mikala> 2:4.7.90-0.mga2
+ Revision: 181884
- Update tarball to kde 4.7.90
- use gold as linker
- fix files list

* Sun Dec 04 2011 mikala <mikala> 2:4.7.4-1.mga2
+ Revision: 176487
- Remove kate-extensions package (redundant with ktexteditor)
- Update tarball to KDE SC 4.7.4

* Tue Nov 01 2011 mikala <mikala> 2:4.7.3-1.mga2
+ Revision: 161098
- Update tarball to KDE SC 4.7.3

* Wed Oct 05 2011 mikala <mikala> 2:4.7.2-1.mga2
+ Revision: 151932
- Update tarball to KDE SC 4.7.2

* Wed Sep 07 2011 mikala <mikala> 2:4.7.1-1.mga2
+ Revision: 140625
- Update tarball to KDE SC 4.7.1
- Split handbook in his own package (mga #2101)
- Remove %%clean section
- Remove kdelibs4-devel as requires for -devel package (already done by autoreqpov)
- Update tarball to KDE SC 4.7.0
- use pkgconfig() for buildrequires
- Fix License tag
- remove %%defattr
- Fix files list

  + lmenut <lmenut>
    - Replace conflicts by obsoletes on lib*ktexteditor_codesnippets_core0 to proper upgrades

* Tue Jul 12 2011 mikala <mikala> 2:4.6.95-1.mga2
+ Revision: 123434
- Fix file list for kate-extensions

* Mon Jul 11 2011 mikala <mikala> 2:4.6.95-0.mga2
+ Revision: 122303
- Update tarball to KDE 4.6.95 ( KDE SC 4.7 RC2)

* Sun Jul 03 2011 ahmad <ahmad> 2:4.6.90-4.mga2
+ Revision: 117656
- Split the extensions in a separate pacakge and make kwrite suggest it
- Add conflicts on lib*ktexteditor_codesnippets_core0 to ease upgrades

* Wed Jun 29 2011 ahmad <ahmad> 2:4.6.90-3.mga2
+ Revision: 115996
- Split katepart in its own sub-package
- The main package and kwrite require katepart, respectively

* Wed Jun 29 2011 mikala <mikala> 2:4.6.90-2.mga2
+ Revision: 115701
- Add conflicts against kdesdk4
- Fix License
- Add conflicts against kdelibs4-core
- Clean spec
- Add more requires on the -devel package
- imported package kate

  + fwang <fwang>
    - add group for ktexteditor
    - bump epoch for libkatepartinterfaces
    - add conflicts on older packages

